# eric6.WebBrowser.Download.DownloadUtilities

Module implementing some utility functions for the Download package.

### Global Attributes

None

### Classes

None

### Functions

dataString | Module function to generate a formatted size string.
speedString | Module function to generate a formatted speed string.
timeString | Module function to format the given time.

## dataString

dataString(size)

Module function to generate a formatted size string.

size (int)
  size to be formatted

Returns:
  formatted data string

Return Type:
  str

Up

## speedString

speedString(speed)

Module function to generate a formatted speed string.

speed (float)
  speed to be formatted

Returns:
  formatted speed string

Return Type:
  str

Up

## timeString

timeString(timeRemaining)

Module function to format the given time.

timeRemaining (float)
  time to be formatted

Returns:
  time string

Return Type:
  str

Up